.input-field {
  position: relative;
  width: 100%;
  display: flex;
  border: 1px solid var(--ui-gray-light);
  border-radius: 4px;
}

.input-text {
  display: block;
  border: none;
  width: 100%;
  padding-left: 16px;
  padding: 14px 14px;
  color: var(--text-black);
  background-color: transparent;
}

.input-text:focus {
  outline: none;
}

.input-label {
  position: absolute;
  padding: 0 4px;
  top: 0;
  left: 10px;
  visibility: hidden;
  color: var(--text-gray);
  transition: all 0.2s linear;
}

.input-label.filled {
  visibility: visible;
  top: -7px;
  background-color: var(--bg-gray);
}

.error .input-label {
  color: var(--text-error);
}

placeholder {
  color: var(--text-gray);
}

.error.input-field {
  border-color: var(--ui-error);
  border-width: 2px;
}

.error-message {
  color: var(--text-error);
  padding-left: 16px;
  margin-top: 4px;
  text-align: left;
}
